## Edit TLS setting for hostname `client.hostnames.settings.tls.update("ciphers" | "min_tls_version" | "http2"settingId, stringhostname, TLSUpdateParamsparams, RequestOptionsoptions?): Setting` **put** `/zones/{zone_id}/hostnames/settings/{setting_id}/{hostname}` Update the tls setting value for the hostname. ### Parameters - `settingId: "ciphers" | "min_tls_version" | "http2"` The TLS Setting name. The value type depends on the setting: - `ciphers`: value is an array of cipher suite strings (e.g., `["ECDHE-RSA-AES128-GCM-SHA256", "AES128-GCM-SHA256"]`). - `min_tls_version`: value is a TLS version string (`"1.0"`, `"1.1"`, `"1.2"`, or `"1.3"`). - `http2`: value is `"on"` or `"off"`. - `"ciphers"` - `"min_tls_version"` - `"http2"` - `hostname: string` The hostname for which the tls settings are set. - `params: TLSUpdateParams` - `zone_id: string` Path param: Identifier. - `value: SettingValue` Body param: The TLS setting value. The type depends on the `setting_id` used in the request path: - `ciphers`: an array of allowed cipher suite strings in BoringSSL format (e.g., `["ECDHE-RSA-AES128-GCM-SHA256", "AES128-GCM-SHA256"]`). - `min_tls_version`: a string indicating the minimum TLS version — one of `"1.0"`, `"1.1"`, `"1.2"`, or `"1.3"` (e.g., `"1.2"`). - `http2`: a string indicating whether HTTP/2 is enabled — `"on"` or `"off"` (e.g., `"on"`). - `"1.0" | "1.1" | "1.2" | 3 more` - `"1.0"` - `"1.1"` - `"1.2"` - `"1.3"` - `"on"` - `"off"` - `Array` ### Returns - `Setting` - `created_at?: string` This is the time the tls setting was originally created for this hostname. - `hostname?: string` The hostname for which the tls settings are set. - `status?: string` Deployment status for the given tls setting. - `updated_at?: string` This is the time the tls setting was updated. - `value?: SettingValue` The TLS setting value. The type depends on the `setting_id` used in the request path: - `ciphers`: an array of allowed cipher suite strings in BoringSSL format (e.g., `["ECDHE-RSA-AES128-GCM-SHA256", "AES128-GCM-SHA256"]`). - `min_tls_version`: a string indicating the minimum TLS version — one of `"1.0"`, `"1.1"`, `"1.2"`, or `"1.3"` (e.g., `"1.2"`). - `http2`: a string indicating whether HTTP/2 is enabled — `"on"` or `"off"` (e.g., `"on"`). - `"1.0" | "1.1" | "1.2" | 3 more` - `"1.0"` - `"1.1"` - `"1.2"` - `"1.3"` - `"on"` - `"off"` - `Array` ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const setting = await client.hostnames.settings.tls.update('ciphers', 'app.example.com', { zone_id: '023e105f4ecef8ad9ca31a8372d0c353', value: ['ECDHE-RSA-AES128-GCM-SHA256', 'AES128-GCM-SHA256'], }); console.log(setting.created_at); ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "success": true, "result": { "created_at": "2023-07-10T20:01:50.219171Z", "hostname": "app.example.com", "status": "pending_deployment", "updated_at": "2023-07-10T20:01:50.219171Z", "value": [ "ECDHE-RSA-AES128-GCM-SHA256", "AES128-GCM-SHA256" ] } } ```